<?php

// Start of xmlwriter v.0.1

class XMLWriter  {

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Create new xmlwriter using source uri for output
	 * @link http://php.net/manual/en/function.xmlwriter-open-uri.php
	 * @param string $uri <p>
	 * The URI of the resource for the output.
	 * </p>
	 * @param string $uri 
	 * @return bool &style.oop;: Returns true on success or false on failure.
	 * </p>
	 * <p>
	 * &style.procedural;: Returns a new xmlwriter &resource; for later use with the
	 * xmlwriter functions on success, false on error.
	 */
	public function openUri ($uri, $uri) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Create new xmlwriter using memory for string output
	 * @link http://php.net/manual/en/function.xmlwriter-open-memory.php
	 * @return bool &style.oop;: Returns true on success or false on failure.
	 * </p>
	 * <p>
	 * &style.procedural;: Returns a new xmlwriter &resource; for later use with the
	 * xmlwriter functions on success, false on error.
	 */
	public function openMemory () {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Toggle indentation on/off
	 * @link http://php.net/manual/en/function.xmlwriter-set-indent.php
	 * @param bool $indent <p>
	 * Whether indentation is enabled.
	 * </p>
	 * @param bool $indent 
	 * @return bool Returns true on success or false on failure.
	 */
	public function setIndent ($indent, $indent) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Set string used for indenting
	 * @link http://php.net/manual/en/function.xmlwriter-set-indent-string.php
	 * @param string $indentString <p>
	 * The indentation string.
	 * </p>
	 * @param string $indentString 
	 * @return bool Returns true on success or false on failure.
	 */
	public function setIndentString ($indentString, $indentString) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 1.0.0)<br/>
	 * Create start comment
	 * @link http://php.net/manual/en/function.xmlwriter-start-comment.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function startComment () {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 1.0.0)<br/>
	 * Create end comment
	 * @link http://php.net/manual/en/function.xmlwriter-end-comment.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function endComment () {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Create start attribute
	 * @link http://php.net/manual/en/function.xmlwriter-start-attribute.php
	 * @param string $name <p>
	 * The attribute name.
	 * </p>
	 * @param string $name 
	 * @return bool Returns true on success or false on failure.
	 */
	public function startAttribute ($name, $name) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * End attribute
	 * @link http://php.net/manual/en/function.xmlwriter-end-attribute.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function endAttribute () {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Write full attribute
	 * @link http://php.net/manual/en/function.xmlwriter-write-attribute.php
	 * @param string $name <p>
	 * The name of the attribute.
	 * </p>
	 * @param string $value <p>
	 * The value of the attribute.
	 * </p>
	 * @param string $name 
	 * @param string $value 
	 * @return bool Returns true on success or false on failure.
	 */
	public function writeAttribute ($name, $value, $name, $value) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Create start namespaced attribute
	 * @link http://php.net/manual/en/function.xmlwriter-start-attribute-ns.php
	 * @param string $prefix <p>
	 * The namespace prefix.
	 * </p>
	 * @param string $name <p>
	 * The attribute name.
	 * </p>
	 * @param string $uri <p>
	 * The namespace URI.
	 * </p>
	 * @param string $prefix 
	 * @param string $name 
	 * @param string $uri 
	 * @return bool Returns true on success or false on failure.
	 */
	public function startAttributeNs ($prefix, $name, $uri, $prefix, $name, $uri) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Write full namespaced attribute
	 * @link http://php.net/manual/en/function.xmlwriter-write-attribute-ns.php
	 * @param string $prefix <p>
	 * The namespace prefix.
	 * </p>
	 * @param string $name <p>
	 * The attribute name.
	 * </p>
	 * @param string $uri <p>
	 * The namespace URI.
	 * </p>
	 * @param string $content <p>
	 * The attribute value.
	 * </p>
	 * @param string $prefix 
	 * @param string $name 
	 * @param string $uri 
	 * @param string $content 
	 * @return bool Returns true on success or false on failure.
	 */
	public function writeAttributeNs ($prefix, $name, $uri, $content, $prefix, $name, $uri, $content) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Create start element tag
	 * @link http://php.net/manual/en/function.xmlwriter-start-element.php
	 * @param string $name <p>
	 * The element name.
	 * </p>
	 * @param string $name 
	 * @return bool Returns true on success or false on failure.
	 */
	public function startElement ($name, $name) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * End current element
	 * @link http://php.net/manual/en/function.xmlwriter-end-element.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function endElement () {}

	/**
	 * (PHP 5 &gt;= 5.2.0, PECL xmlwriter &gt;= 2.0.4)<br/>
	 * End current element
	 * @link http://php.net/manual/en/function.xmlwriter-full-end-element.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function fullEndElement () {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Create start namespaced element tag
	 * @link http://php.net/manual/en/function.xmlwriter-start-element-ns.php
	 * @param string $prefix <p>
	 * The namespace prefix.
	 * </p>
	 * @param string $name <p>
	 * The element name.
	 * </p>
	 * @param string $uri <p>
	 * The namespace URI.
	 * </p>
	 * @param string $prefix 
	 * @param string $name 
	 * @param string $uri 
	 * @return bool Returns true on success or false on failure.
	 */
	public function startElementNs ($prefix, $name, $uri, $prefix, $name, $uri) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Write full element tag
	 * @link http://php.net/manual/en/function.xmlwriter-write-element.php
	 * @param string $name <p>
	 * The element name.
	 * </p>
	 * @param string $content [optional] <p>
	 * The element contents.
	 * </p>
	 * @param string $name 
	 * @param string $content [optional] 
	 * @return bool Returns true on success or false on failure.
	 */
	public function writeElement ($name, $content = null, $name, $content = null) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Write full namespaced element tag
	 * @link http://php.net/manual/en/function.xmlwriter-write-element-ns.php
	 * @param string $prefix <p>
	 * The namespace prefix.
	 * </p>
	 * @param string $name <p>
	 * The element name.
	 * </p>
	 * @param string $uri <p>
	 * The namespace URI.
	 * </p>
	 * @param string $content [optional] <p>
	 * The element contents.
	 * </p>
	 * @param string $prefix 
	 * @param string $name 
	 * @param string $uri 
	 * @param string $content [optional] 
	 * @return bool Returns true on success or false on failure.
	 */
	public function writeElementNs ($prefix, $name, $uri, $content = null, $prefix, $name, $uri, $content = null) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Create start PI tag
	 * @link http://php.net/manual/en/function.xmlwriter-start-pi.php
	 * @param string $target <p>
	 * The target of the processing instruction.
	 * </p>
	 * @param string $target 
	 * @return bool Returns true on success or false on failure.
	 */
	public function startPi ($target, $target) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * End current PI
	 * @link http://php.net/manual/en/function.xmlwriter-end-pi.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function endPi () {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Writes a PI
	 * @link http://php.net/manual/en/function.xmlwriter-write-pi.php
	 * @param string $target <p>
	 * The target of the processing instruction.
	 * </p>
	 * @param string $content <p>
	 * The content of the processing instruction.
	 * </p>
	 * @param string $target 
	 * @param string $content 
	 * @return bool Returns true on success or false on failure.
	 */
	public function writePi ($target, $content, $target, $content) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Create start CDATA tag
	 * @link http://php.net/manual/en/function.xmlwriter-start-cdata.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function startCdata () {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * End current CDATA
	 * @link http://php.net/manual/en/function.xmlwriter-end-cdata.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function endCdata () {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Write full CDATA tag
	 * @link http://php.net/manual/en/function.xmlwriter-write-cdata.php
	 * @param string $content <p>
	 * The contents of the CDATA.
	 * </p>
	 * @param string $content 
	 * @return bool Returns true on success or false on failure.
	 */
	public function writeCdata ($content, $content) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Write text
	 * @link http://php.net/manual/en/function.xmlwriter-text.php
	 * @param string $content <p>
	 * The contents of the text.
	 * </p>
	 * @param string $content 
	 * @return bool Returns true on success or false on failure.
	 */
	public function text ($content, $content) {}

	/**
	 * (PHP 5 &gt;= 5.2.0, PECL xmlwriter &gt;= 2.0.4)<br/>
	 * Write a raw XML text
	 * @link http://php.net/manual/en/function.xmlwriter-write-raw.php
	 * @param string $content <p>
	 * The text string to write.
	 * </p>
	 * @param string $content 
	 * @return bool Returns true on success or false on failure.
	 */
	public function writeRaw ($content, $content) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Create document tag
	 * @link http://php.net/manual/en/function.xmlwriter-start-document.php
	 * @param string $version [optional] <p>
	 * The version number of the document as part of the XML declaration. 
	 * Defaults to 1.0.
	 * </p>
	 * @param string $encoding [optional] <p>
	 * The encoding of the document as part of the XML declaration.
	 * &null; by default.
	 * </p>
	 * @param string $standalone [optional] <p>
	 * yes or no.
	 * </p>
	 * @param string $version [optional] 
	 * @param string $encoding [optional] 
	 * @param string $standalone [optional] 
	 * @return bool Returns true on success or false on failure.
	 */
	public function startDocument ($version = null, $encoding = null, $standalone = null, $version = null, $encoding = null, $standalone = null) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * End current document
	 * @link http://php.net/manual/en/function.xmlwriter-end-document.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function endDocument () {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Write full comment tag
	 * @link http://php.net/manual/en/function.xmlwriter-write-comment.php
	 * @param string $content <p>
	 * The contents of the comment.
	 * </p>
	 * @param string $content 
	 * @return bool Returns true on success or false on failure.
	 */
	public function writeComment ($content, $content) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Create start DTD tag
	 * @link http://php.net/manual/en/function.xmlwriter-start-dtd.php
	 * @param string $qualifiedName <p>
	 * The qualified name of the document type to create.
	 * </p>
	 * @param string $publicId [optional] <p>
	 * The external subset public identifier.
	 * </p>
	 * @param string $systemId [optional] <p>
	 * The external subset system identifier.
	 * </p>
	 * @param string $qualifiedName 
	 * @param string $publicId [optional] 
	 * @param string $systemId [optional] 
	 * @return bool Returns true on success or false on failure.
	 */
	public function startDtd ($qualifiedName, $publicId = null, $systemId = null, $qualifiedName, $publicId = null, $systemId = null) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * End current DTD
	 * @link http://php.net/manual/en/function.xmlwriter-end-dtd.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function endDtd () {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Write full DTD tag
	 * @link http://php.net/manual/en/function.xmlwriter-write-dtd.php
	 * @param string $name <p>
	 * The DTD name.
	 * </p>
	 * @param string $publicId [optional] <p>
	 * The external subset public identifier.
	 * </p>
	 * @param string $systemId [optional] <p>
	 * The external subset system identifier.
	 * </p>
	 * @param string $subset [optional] <p>
	 * The content of the DTD.
	 * </p>
	 * @param string $name 
	 * @param string $publicId [optional] 
	 * @param string $systemId [optional] 
	 * @param string $subset [optional] 
	 * @return bool Returns true on success or false on failure.
	 */
	public function writeDtd ($name, $publicId = null, $systemId = null, $subset = null, $name, $publicId = null, $systemId = null, $subset = null) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Create start DTD element
	 * @link http://php.net/manual/en/function.xmlwriter-start-dtd-element.php
	 * @param string $qualifiedName <p>
	 * The qualified name of the document type to create.
	 * </p>
	 * @param string $qualifiedName 
	 * @return bool Returns true on success or false on failure.
	 */
	public function startDtdElement ($qualifiedName, $qualifiedName) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * End current DTD element
	 * @link http://php.net/manual/en/function.xmlwriter-end-dtd-element.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function endDtdElement () {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Write full DTD element tag
	 * @link http://php.net/manual/en/function.xmlwriter-write-dtd-element.php
	 * @param string $name <p>
	 * The name of the DTD element.
	 * </p>
	 * @param string $content <p>
	 * The content of the element.
	 * </p>
	 * @param string $name 
	 * @param string $content 
	 * @return bool Returns true on success or false on failure.
	 */
	public function writeDtdElement ($name, $content, $name, $content) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Create start DTD AttList
	 * @link http://php.net/manual/en/function.xmlwriter-start-dtd-attlist.php
	 * @param string $name <p>
	 * The attribute list name.
	 * </p>
	 * @param string $name 
	 * @return bool Returns true on success or false on failure.
	 */
	public function startDtdAttlist ($name, $name) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * End current DTD AttList
	 * @link http://php.net/manual/en/function.xmlwriter-end-dtd-attlist.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function endDtdAttlist () {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Write full DTD AttList tag
	 * @link http://php.net/manual/en/function.xmlwriter-write-dtd-attlist.php
	 * @param string $name <p>
	 * The name of the DTD attribute list.
	 * </p>
	 * @param string $content <p>
	 * The content of the DTD attribute list.
	 * </p>
	 * @param string $name 
	 * @param string $content 
	 * @return bool Returns true on success or false on failure.
	 */
	public function writeDtdAttlist ($name, $content, $name, $content) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Create start DTD Entity
	 * @link http://php.net/manual/en/function.xmlwriter-start-dtd-entity.php
	 * @param string $name <p>
	 * The name of the entity.
	 * </p>
	 * @param bool $isparam <p>
	 * </p>
	 * @param string $name 
	 * @param bool $isparam 
	 * @return bool Returns true on success or false on failure.
	 */
	public function startDtdEntity ($name, $isparam, $name, $isparam) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * End current DTD Entity
	 * @link http://php.net/manual/en/function.xmlwriter-end-dtd-entity.php
	 * @return bool Returns true on success or false on failure.
	 */
	public function endDtdEntity () {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Write full DTD Entity tag
	 * @link http://php.net/manual/en/function.xmlwriter-write-dtd-entity.php
	 * @param string $name <p>
	 * The name of the entity.
	 * </p>
	 * @param string $content <p>
	 * The content of the entity.
	 * </p>
	 * @param bool $pe 
	 * @param string $pubid 
	 * @param string $sysid 
	 * @param string $ndataid 
	 * @param string $name 
	 * @param string $content 
	 * @param bool $pe 
	 * @param string $pubid 
	 * @param string $sysid 
	 * @param string $ndataid 
	 * @return bool Returns true on success or false on failure.
	 */
	public function writeDtdEntity ($name, $content, $pe, $pubid, $sysid, $ndataid, $name, $content, $pe, $pubid, $sysid, $ndataid) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
	 * Returns current buffer
	 * @link http://php.net/manual/en/function.xmlwriter-output-memory.php
	 * @param bool $flush [optional] <p>
	 * Whether to flush the output buffer or no. Default is true.
	 * </p>
	 * @param bool $flush [optional] 
	 * @return string the current buffer as a string.
	 */
	public function outputMemory ($flush = null, $flush = null) {}

	/**
	 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 1.0.0)<br/>
	 * Flush current buffer
	 * @link http://php.net/manual/en/function.xmlwriter-flush.php
	 * @param bool $empty [optional] <p>
	 * Whether to empty the buffer or no. Default is true.
	 * </p>
	 * @param bool $empty [optional] 
	 * @return mixed If you opened the writer in memory, this function returns the generated XML buffer,
	 * Else, if using URI, this function will write the buffer and return the number of 
	 * written bytes.
	 */
	public function flush ($empty = null, $empty = null) {}

}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Create new xmlwriter using source uri for output
 * @link http://php.net/manual/en/function.xmlwriter-open-uri.php
 * @param string $uri <p>
 * The URI of the resource for the output.
 * </p>
 * @param string $uri 
 * @return bool &style.oop;: Returns true on success or false on failure.
 * </p>
 * <p>
 * &style.procedural;: Returns a new xmlwriter &resource; for later use with the
 * xmlwriter functions on success, false on error.
 */
function xmlwriter_open_uri ($uri, $uri) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Create new xmlwriter using memory for string output
 * @link http://php.net/manual/en/function.xmlwriter-open-memory.php
 * @return bool &style.oop;: Returns true on success or false on failure.
 * </p>
 * <p>
 * &style.procedural;: Returns a new xmlwriter &resource; for later use with the
 * xmlwriter functions on success, false on error.
 */
function xmlwriter_open_memory () {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Toggle indentation on/off
 * @link http://php.net/manual/en/function.xmlwriter-set-indent.php
 * @param bool $indent <p>
 * Whether indentation is enabled.
 * </p>
 * @param bool $indent 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_set_indent ($indent, $indent) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Set string used for indenting
 * @link http://php.net/manual/en/function.xmlwriter-set-indent-string.php
 * @param string $indentString <p>
 * The indentation string.
 * </p>
 * @param string $indentString 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_set_indent_string ($indentString, $indentString) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 1.0.0)<br/>
 * Create start comment
 * @link http://php.net/manual/en/function.xmlwriter-start-comment.php
 * @param $xmlwriter
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_start_comment ($xmlwriter) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 1.0.0)<br/>
 * Create end comment
 * @link http://php.net/manual/en/function.xmlwriter-end-comment.php
 * @param $xmlwriter
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_end_comment ($xmlwriter) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Create start attribute
 * @link http://php.net/manual/en/function.xmlwriter-start-attribute.php
 * @param string $name <p>
 * The attribute name.
 * </p>
 * @param string $name 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_start_attribute ($name, $name) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * End attribute
 * @link http://php.net/manual/en/function.xmlwriter-end-attribute.php
 * @param $xmlwriter
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_end_attribute ($xmlwriter) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Write full attribute
 * @link http://php.net/manual/en/function.xmlwriter-write-attribute.php
 * @param string $name <p>
 * The name of the attribute.
 * </p>
 * @param string $value <p>
 * The value of the attribute.
 * </p>
 * @param string $name 
 * @param string $value 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_write_attribute ($name, $value, $name, $value) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Create start namespaced attribute
 * @link http://php.net/manual/en/function.xmlwriter-start-attribute-ns.php
 * @param string $prefix <p>
 * The namespace prefix.
 * </p>
 * @param string $name <p>
 * The attribute name.
 * </p>
 * @param string $uri <p>
 * The namespace URI.
 * </p>
 * @param string $prefix 
 * @param string $name 
 * @param string $uri 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_start_attribute_ns ($prefix, $name, $uri, $prefix, $name, $uri) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Write full namespaced attribute
 * @link http://php.net/manual/en/function.xmlwriter-write-attribute-ns.php
 * @param string $prefix <p>
 * The namespace prefix.
 * </p>
 * @param string $name <p>
 * The attribute name.
 * </p>
 * @param string $uri <p>
 * The namespace URI.
 * </p>
 * @param string $content <p>
 * The attribute value.
 * </p>
 * @param string $prefix 
 * @param string $name 
 * @param string $uri 
 * @param string $content 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_write_attribute_ns ($prefix, $name, $uri, $content, $prefix, $name, $uri, $content) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Create start element tag
 * @link http://php.net/manual/en/function.xmlwriter-start-element.php
 * @param string $name <p>
 * The element name.
 * </p>
 * @param string $name 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_start_element ($name, $name) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * End current element
 * @link http://php.net/manual/en/function.xmlwriter-end-element.php
 * @param $xmlwriter
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_end_element ($xmlwriter) {}

/**
 * (PHP 5 &gt;= 5.2.0, PECL xmlwriter &gt;= 2.0.4)<br/>
 * End current element
 * @link http://php.net/manual/en/function.xmlwriter-full-end-element.php
 * @param $xmlwriter
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_full_end_element ($xmlwriter) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Create start namespaced element tag
 * @link http://php.net/manual/en/function.xmlwriter-start-element-ns.php
 * @param string $prefix <p>
 * The namespace prefix.
 * </p>
 * @param string $name <p>
 * The element name.
 * </p>
 * @param string $uri <p>
 * The namespace URI.
 * </p>
 * @param string $prefix 
 * @param string $name 
 * @param string $uri 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_start_element_ns ($prefix, $name, $uri, $prefix, $name, $uri) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Write full element tag
 * @link http://php.net/manual/en/function.xmlwriter-write-element.php
 * @param string $name <p>
 * The element name.
 * </p>
 * @param string $content [optional] <p>
 * The element contents.
 * </p>
 * @param string $name 
 * @param string $content [optional] 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_write_element ($name, $content = null, $name, $content = null) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Write full namespaced element tag
 * @link http://php.net/manual/en/function.xmlwriter-write-element-ns.php
 * @param string $prefix <p>
 * The namespace prefix.
 * </p>
 * @param string $name <p>
 * The element name.
 * </p>
 * @param string $uri <p>
 * The namespace URI.
 * </p>
 * @param string $content [optional] <p>
 * The element contents.
 * </p>
 * @param string $prefix 
 * @param string $name 
 * @param string $uri 
 * @param string $content [optional] 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_write_element_ns ($prefix, $name, $uri, $content = null, $prefix, $name, $uri, $content = null) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Create start PI tag
 * @link http://php.net/manual/en/function.xmlwriter-start-pi.php
 * @param string $target <p>
 * The target of the processing instruction.
 * </p>
 * @param string $target 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_start_pi ($target, $target) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * End current PI
 * @link http://php.net/manual/en/function.xmlwriter-end-pi.php
 * @param $xmlwriter
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_end_pi ($xmlwriter) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Writes a PI
 * @link http://php.net/manual/en/function.xmlwriter-write-pi.php
 * @param string $target <p>
 * The target of the processing instruction.
 * </p>
 * @param string $content <p>
 * The content of the processing instruction.
 * </p>
 * @param string $target 
 * @param string $content 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_write_pi ($target, $content, $target, $content) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Create start CDATA tag
 * @link http://php.net/manual/en/function.xmlwriter-start-cdata.php
 * @param $xmlwriter
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_start_cdata ($xmlwriter) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * End current CDATA
 * @link http://php.net/manual/en/function.xmlwriter-end-cdata.php
 * @param $xmlwriter
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_end_cdata ($xmlwriter) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Write full CDATA tag
 * @link http://php.net/manual/en/function.xmlwriter-write-cdata.php
 * @param string $content <p>
 * The contents of the CDATA.
 * </p>
 * @param string $content 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_write_cdata ($content, $content) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Write text
 * @link http://php.net/manual/en/function.xmlwriter-text.php
 * @param string $content <p>
 * The contents of the text.
 * </p>
 * @param string $content 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_text ($content, $content) {}

/**
 * (PHP 5 &gt;= 5.2.0, PECL xmlwriter &gt;= 2.0.4)<br/>
 * Write a raw XML text
 * @link http://php.net/manual/en/function.xmlwriter-write-raw.php
 * @param string $content <p>
 * The text string to write.
 * </p>
 * @param string $content 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_write_raw ($content, $content) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Create document tag
 * @link http://php.net/manual/en/function.xmlwriter-start-document.php
 * @param string $version [optional] <p>
 * The version number of the document as part of the XML declaration. 
 * Defaults to 1.0.
 * </p>
 * @param string $encoding [optional] <p>
 * The encoding of the document as part of the XML declaration.
 * &null; by default.
 * </p>
 * @param string $standalone [optional] <p>
 * yes or no.
 * </p>
 * @param string $version [optional] 
 * @param string $encoding [optional] 
 * @param string $standalone [optional] 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_start_document ($version = null, $encoding = null, $standalone = null, $version = null, $encoding = null, $standalone = null) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * End current document
 * @link http://php.net/manual/en/function.xmlwriter-end-document.php
 * @param $xmlwriter
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_end_document ($xmlwriter) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Write full comment tag
 * @link http://php.net/manual/en/function.xmlwriter-write-comment.php
 * @param string $content <p>
 * The contents of the comment.
 * </p>
 * @param string $content 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_write_comment ($content, $content) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Create start DTD tag
 * @link http://php.net/manual/en/function.xmlwriter-start-dtd.php
 * @param string $qualifiedName <p>
 * The qualified name of the document type to create.
 * </p>
 * @param string $publicId [optional] <p>
 * The external subset public identifier.
 * </p>
 * @param string $systemId [optional] <p>
 * The external subset system identifier.
 * </p>
 * @param string $qualifiedName 
 * @param string $publicId [optional] 
 * @param string $systemId [optional] 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_start_dtd ($qualifiedName, $publicId = null, $systemId = null, $qualifiedName, $publicId = null, $systemId = null) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * End current DTD
 * @link http://php.net/manual/en/function.xmlwriter-end-dtd.php
 * @param $xmlwriter
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_end_dtd ($xmlwriter) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Write full DTD tag
 * @link http://php.net/manual/en/function.xmlwriter-write-dtd.php
 * @param string $name <p>
 * The DTD name.
 * </p>
 * @param string $publicId [optional] <p>
 * The external subset public identifier.
 * </p>
 * @param string $systemId [optional] <p>
 * The external subset system identifier.
 * </p>
 * @param string $subset [optional] <p>
 * The content of the DTD.
 * </p>
 * @param string $name 
 * @param string $publicId [optional] 
 * @param string $systemId [optional] 
 * @param string $subset [optional] 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_write_dtd ($name, $publicId = null, $systemId = null, $subset = null, $name, $publicId = null, $systemId = null, $subset = null) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Create start DTD element
 * @link http://php.net/manual/en/function.xmlwriter-start-dtd-element.php
 * @param string $qualifiedName <p>
 * The qualified name of the document type to create.
 * </p>
 * @param string $qualifiedName 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_start_dtd_element ($qualifiedName, $qualifiedName) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * End current DTD element
 * @link http://php.net/manual/en/function.xmlwriter-end-dtd-element.php
 * @param $xmlwriter
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_end_dtd_element ($xmlwriter) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Write full DTD element tag
 * @link http://php.net/manual/en/function.xmlwriter-write-dtd-element.php
 * @param string $name <p>
 * The name of the DTD element.
 * </p>
 * @param string $content <p>
 * The content of the element.
 * </p>
 * @param string $name 
 * @param string $content 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_write_dtd_element ($name, $content, $name, $content) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Create start DTD AttList
 * @link http://php.net/manual/en/function.xmlwriter-start-dtd-attlist.php
 * @param string $name <p>
 * The attribute list name.
 * </p>
 * @param string $name 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_start_dtd_attlist ($name, $name) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * End current DTD AttList
 * @link http://php.net/manual/en/function.xmlwriter-end-dtd-attlist.php
 * @param $xmlwriter
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_end_dtd_attlist ($xmlwriter) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Write full DTD AttList tag
 * @link http://php.net/manual/en/function.xmlwriter-write-dtd-attlist.php
 * @param string $name <p>
 * The name of the DTD attribute list.
 * </p>
 * @param string $content <p>
 * The content of the DTD attribute list.
 * </p>
 * @param string $name 
 * @param string $content 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_write_dtd_attlist ($name, $content, $name, $content) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Create start DTD Entity
 * @link http://php.net/manual/en/function.xmlwriter-start-dtd-entity.php
 * @param string $name <p>
 * The name of the entity.
 * </p>
 * @param bool $isparam <p>
 * </p>
 * @param string $name 
 * @param bool $isparam 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_start_dtd_entity ($name, $isparam, $name, $isparam) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * End current DTD Entity
 * @link http://php.net/manual/en/function.xmlwriter-end-dtd-entity.php
 * @param $xmlwriter
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_end_dtd_entity ($xmlwriter) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Write full DTD Entity tag
 * @link http://php.net/manual/en/function.xmlwriter-write-dtd-entity.php
 * @param string $name <p>
 * The name of the entity.
 * </p>
 * @param string $content <p>
 * The content of the entity.
 * </p>
 * @param bool $pe 
 * @param string $pubid 
 * @param string $sysid 
 * @param string $ndataid 
 * @param string $name 
 * @param string $content 
 * @param bool $pe 
 * @param string $pubid 
 * @param string $sysid 
 * @param string $ndataid 
 * @return bool Returns true on success or false on failure.
 */
function xmlwriter_write_dtd_entity ($name, $content, $pe, $pubid, $sysid, $ndataid, $name, $content, $pe, $pubid, $sysid, $ndataid) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 0.1.0)<br/>
 * Returns current buffer
 * @link http://php.net/manual/en/function.xmlwriter-output-memory.php
 * @param bool $flush [optional] <p>
 * Whether to flush the output buffer or no. Default is true.
 * </p>
 * @param bool $flush [optional] 
 * @return string the current buffer as a string.
 */
function xmlwriter_output_memory ($flush = null, $flush = null) {}

/**
 * (PHP 5 &gt;= 5.1.2, PECL xmlwriter &gt;= 1.0.0)<br/>
 * Flush current buffer
 * @link http://php.net/manual/en/function.xmlwriter-flush.php
 * @param bool $empty [optional] <p>
 * Whether to empty the buffer or no. Default is true.
 * </p>
 * @param bool $empty [optional] 
 * @return mixed If you opened the writer in memory, this function returns the generated XML buffer,
 * Else, if using URI, this function will write the buffer and return the number of 
 * written bytes.
 */
function xmlwriter_flush ($empty = null, $empty = null) {}

// End of xmlwriter v.0.1
?>
